Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2014 22:56:49 +0200

> Date: Thu, 02 Jan 2014 11:28:17 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > it can be limited to editing only the markup and the => arrows, and
> > leave the other non-ASCII characters intact.  Then there will be no
> > information loss, just a different (some will say less pretty)
> > display of that information.
> 
> There would still be information loss; we'll lose the
> distinction between open and close quote, for example.  The
> calc info file will contain "'f''2'3(x,y,z)'", for example.

These are very rare (and I would argue will look ugly any way you
typeset them).

> >       If we go this way, I think we should leave Unicode characters
> >       that are not Info markup alone, and not edit them.
> 
> build-aux/cp-ascii cannot reliably distinguish Info-markup
> Unicode from other Unicode, so I don't see how to implement
> this precisely.

Sorry, I don't see the problem: just don't edit any letters, only edit
apostrophes, quotes, and arrows.  What am I missing?

> The point of cp-ascii is to not put mojibake on unibyte users'
> screens, so why not fix all the mojibake while we're at it?

To make it more acceptable to UTF-8 locales.  If we leave the
non-ASCII text alone, we have a higher chance of producing a single
format that will be used both in UTF-8 and non-UTF-8 locales.

> >    4) Use --disable-encoding switch to makeinfo, again either by
> >       default or given some non-default option.
> 
> This would lose information in the now-typical case of UTF-8 locales.

Again, I don't see why, unless you refer to that example from Calc.
Otherwise, the only effect of --disable-encoding in Texinfo 5 is not
to produce Unicode characters for quotes and arrows.